/*
 * Created on 2008/09/10
 */

package visualization3;

import java.awt.Color;

/**
 * 色情報を持つ末端ノードです。
 */

public class ColorItem extends Item {
    private Color color;

    public ColorItem(Color color, double area) {
        super(color.toString(), colorToVector(color), area);
        this.color = color;
    }

    private static MultiVector colorToVector(Color c) {
        // 色成分を3次元のベクトルに変換
        return new MultiVector(c.getRed(), c.getGreen(), c.getBlue());
    }

    public Color getColor() {
        return color;
    }
}
