package visualization3;

import java.util.List;

/**
 * クラスタリングによって形成される階層ノードです。
 */

public interface Node {
    /**
     * ノードに含まれる全てのベクトルを返します。
     * @return ベクトルのリスト
     */
    List<MultiVector> getVectors();

    /**
     * ノードの面積を返します。
     * @return 面積
     */
    double getArea();
}